Page MenuHomePhabricator

[WebAssembly] Add support for externref to MC and wasm-ld
ClosedPublic

Authored by sbc100 on Jun 16 2020, 3:51 PM.

Details

Summary

This allows code for handling externref values to be processed by the
assembler and linker.

Diff Detail

Event Timeline

sbc100 created this revision.Jun 16 2020, 3:51 PM
Herald added a project: Restricted Project. · View Herald TranscriptJun 16 2020, 3:51 PM
sbc100 retitled this revision from [WebAssembly] Add support for externalref to MC and wasm-ld to [WebAssembly] Add support for externref to MC and wasm-ld.Jun 16 2020, 3:52 PM
sbc100 added a reviewer: binji.
sbc100 added a reviewer: dschuff.

Should be an easy review for somebody ?

sbc100 updated this revision to Diff 271519.Jun 17 2020, 4:30 PM

clang-tidy

dschuff added inline comments.Jun 17 2020, 5:17 PM
llvm/include/llvm/BinaryFormat/Wasm.h
262

are there any tests for ref.null?

sbc100 marked an inline comment as done.Jun 17 2020, 5:56 PM
sbc100 added inline comments.
llvm/include/llvm/BinaryFormat/Wasm.h
262

This is used in the binary format init expressions only.. nothing to do with the llvm or its codegen. You can see it tested in externref.s

dschuff accepted this revision.Jun 22 2020, 3:35 PM

oh i missed that it's tested in the initexprs.

This revision is now accepted and ready to land.Jun 22 2020, 3:35 PM
This revision was automatically updated to reflect the committed changes.